Bug 1006638 - WS-I Basic Profile 1.2 and 2.0 support [NEEDINFO]
WS-I Basic Profile 1.2 and 2.0 support
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.2.3
Unspecified Unspecified
high Severity high
: GA
: EAP 6.3.0
Assigned To: Jimmy Wilson
Russell Dickenson
Lucas Costi
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 21:34 EDT by Tadayoshi Sato
Modified: 2015-05-19 06:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
In addition to WS-I Basic Profile 1.1, this release of JBoss EAP 6 now supports WS-I Basic Profile 1.2 and 2.0.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rsvoboda: needinfo? (jawilson)


Attachments (Terms of Use)

  None (edit)
Description Tadayoshi Sato 2013-09-10 21:34:05 EDT
Document URL:
https://access.redhat.com/site/articles/113373
"JBoss Enterprise Application Platform Supported Standards"

Section Number and Name:
"Web Services Standards and APIs"

Describe the issue:
In the above document, Red Hat officially declares EAP 6 supports WS-I Basic Profile 1.1, which is a very old spec. However, according to Jim Ma JBoss WS already tested WS-I BP 1.2 and 2.0 and is ready to support them. Why not officially declare WS-I BP 2.0 support?

Suggestions for improvement:
Productisation/QE should test WS-I BP 2.0 compatibility against EAP 6 and declare the support for 2.0 in the above document.
Comment 2 Mustafa Musaji 2013-09-11 05:36:09 EDT
Tadayoshi

We can amend that document ourselves but we do need Alessio to confirm and from his last [private] comment I don't think we can say it's "officially" supported. Perhaps we can write a KCS instead describing why we can't say we officially support them specs but we do adhere to them the best we can in 6.1.0?
Comment 6 sgilda 2014-05-13 14:31:18 EDT
Lucas, why does this one still have a status of NEW? :-)
Comment 7 Lucas Costi 2014-05-13 18:47:47 EDT
Sande, see Mark's comment in Comment 3. KCS will need to be checked and updated ; at the moment the bug in it's current state will make it into the 6.3.0 release notes in the proper section.
Comment 10 Rostislav Svoboda 2014-05-14 02:57:58 EDT
Verified in RN - "JBoss_Enterprise_Application_Platform-6.3.0_Release_Notes-6.3-en-US-6.3.0-4"

Moving to Jimmy for KB article update.
Comment 13 Rostislav Svoboda 2014-06-24 02:48:13 EDT
WS-I Basic Profile 1.2 and 2.0 was confirmed with EAP 6.2.0
There were changes needed in CXF codebase to pass it - so it's not covered in EAP 6.0 or 6.1.
Comment 14 Rostislav Svoboda 2014-11-10 07:17:00 EST
Will you modify https://access.redhat.com/site/articles/113373 based on comment 13 ? Or can be this BZ closed ?

Note You need to log in before you can comment on or make changes to this bug.